## com.imcode.imcms.util.rss
Class NameSpace

    java.lang.Object
      com.imcode.imcms.util.rss.NameSpace

Direct Known Subclasses:
  SimpleNameSpace

    public abstract class NameSpace

extends java.lang.Object

Constructor Summary
`NameSpace()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`abstract java.lang.String` `getNameSpaceUri()`
`abstract java.lang.String` `getSuggestedPrefix()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameSpace

    public NameSpace()

Method Detail

### getNameSpaceUri

    public abstract java.lang.String getNameSpaceUri()

### getSuggestedPrefix

    public abstract java.lang.String getSuggestedPrefix()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`